# $Revision: 1.20 $, $Date: 2005/10/26 16:31:59 $
#
# Conditional build:
#
Summary:	Sound player with the WinAmp GUI, for Unix-based systems, using GTK+ 2
Name:		bmpx
Version:	0.14.4	
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
Source0:        http://prdownloads.sourceforge.net/beepmp/%{name}-%{version}.tar.gz
URL:		http://bmpx.beep-media-player.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	gstreamer-devel >= 0.10.4
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.1
BuildRequires:  gstreamer-plugins-good-devel >= 0.10.2
BuildRequires:  gstreamer-plugins-ugly-devel >= 0.10.2
BuildRequires:  gstreamer-plugins-bad-devel >= 0.10.1
BuildRequires:  gtk2-devel >= 2.8.15
BuildRequires:	gamin-devel >= 0.1.7
BuildRequires:  dbus-devel >= 0.61
BuildRequires:  dbus-glib >= 0.61
BuildRequires:  hal-devel >= 0.5.7
BuildRequires:  libmusicbrainz-devel >= 2.1.1
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  neon-devel >= 0.25.5
BuildRequires:  libxml2-devel >= 2.6.23 

%description
BMPx is the follow-up of the BMP project with a codebase rewritten
from scratch and aims to maintain a stable audio player foundation,
and to provide a player with a consistent and easy to understand usage
experience.

%package devel
Summary:	Header files for BMPx media player
Group:		X11/Development/Libraries
# doesn't require base

%description devel
Header files required for compiling BMPx media player plugins.

%prep
%setup -q

%build
%configure --enable-dbus --enable-hal --enable-amazon --enable-gamin --with-dbus-services-dir=$RPM_BUILD_ROOT%{_datadir}/dbus-1/services
make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall} 

rm -f $RPM_BUILD_ROOT%{_libdir}/bmp-2.0/plugins/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libhrel.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libchroma.la
rm -f $RPM_BUILD_ROOT%{_datadir}/libhrel/examples/hrel-demo

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/beep*
%attr(755,root,root) %{_bindir}/bmp*
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-bin
%{_libdir}/libchroma.so.0.0.0
%{_libdir}/bmp-2.0
%{_libdir}/libhrel.so.1.0.0
%{_mandir}/man*/*
%{_datadir}/bmpx
%{_datadir}/applications/*
%{_datadir}/locale
%{_datadir}/icons/hicolor/48x48/apps/bmpx.png
%{_datadir}/dbus-1/services/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/libchroma/*
%{_libdir}/libchroma.so.0
%{_libdir}/libchroma.so
%{_libdir}/libhrel.so
%{_libdir}/libhrel.so.1
%{_includedir}/bmp-2.0
%{_includedir}/libhrel
%{_libdir}/pkgconfig/hrel.pc
%{_libdir}/pkgconfig/bmp-2.0.pc
