#! /bin/sh

# options

AUTOCONF=${AUTOCONF:-autoconf}
AUTOMAKE=${AUTOMAKE:-automake}
ACLOCAL=${ACLOCAL:-aclocal}
AUTOHEADER=${AUTOHEADER:-autoheader}
LIBTOOLIZE=${LIBTOOLIZE:-libtoolize}
GTKDOCIZE=${GTKDOCIZE:-gtkdocize}

# script source

TOP_DIR=$(cd $(dirname $0); echo $PWD)

if test ! -f $TOP_DIR/configure.ac ; then
    echo "No configure.ac found"
    exit 1
fi

LASTDIR=`pwd`; cd $TOP_DIR

touch ChangeLog

$GTKDOCIZE         && \
$LIBTOOLIZE -f -c  && \
$ACLOCAL -I m4     && \
$AUTOCONF          && \
$AUTOHEADER        && \
$AUTOMAKE   -a -c || exit 1

cd $LAST_DIR
